Bug 461525 - tftp server and tftp client do not support IPv6
tftp server and tftp client do not support IPv6
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tftp (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2008-09-08 16:29 EDT by Charles R. Anderson
Modified: 2014-11-09 17:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 05:22:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-09-08 16:29:39 EDT
Description of problem:

The tftp server and client package that Fedora distributes doesn't work with IPv6.

Version-Release number of selected component (if applicable):
tftp-0.48-6.fc9

How reproducible:
always

Steps to Reproduce:
1. edit /etc/xinet.d/tftp, change flags = IPv4 to flags = IPv6
2. use "curl -6 tftp://serverhostname/filename" to download a file via IPv6
3. try tftp client, but there is no way to specify that IPv6 should be used
  
Expected results:

We should really upgrade, patch, or switch to a server/client for TFTP that supports IPv6.
Comment 1 Jiri Skala 2008-11-21 05:22:08 EST
The file /etc/xinet.d/tftp have to be modified for IPv6 usage:

 server_args = -6 -s /var/lib/tftpboot

The tftp client distinguish IPv4/IPv6 via host specification.

Note You need to log in before you can comment on or make changes to this bug.